GNU bug report logs - #68243
alacritty segmentation fault

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Steven Roose <steven@HIDDEN>; dated Thu, 4 Jan 2024 15:34:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 68243 <at> debbugs.gnu.org:


Received: (at 68243) by debbugs.gnu.org; 11 Jan 2024 15:56:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 11 10:56:04 2024
Received: from localhost ([127.0.0.1]:33671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rNxPY-00032k-0g
	for submit <at> debbugs.gnu.org; Thu, 11 Jan 2024 10:56:04 -0500
Received: from hosted.mailcow.de ([2a00:f820:417::202]:35831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <steven@HIDDEN>) id 1rNxPV-000329-8g
 for 68243 <at> debbugs.gnu.org; Thu, 11 Jan 2024 10:56:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=roose.io; s=default;
 t=1704988559; h=from:subject:date:message-id:to:mime-version:content-type:
 content-transfer-encoding:in-reply-to:references;
 bh=cYNuVudVfDBZSlydqVDHx/yrGgMOjjA18jikYducmQo=;
 b=fasaLVg5eRnE4oIa5AfnueDl9g5L9eQZZh8VL1/pJpBvPdxTejhCx9rtPA+a8sdOIaQF0k
 CN362hMl9+WSKBXT+ACB20z/+nvGHXp5kU96g9a2AgOUmrtrmMj6KSA/OrhDQ1JXjt46JW
 VhTXw10fR9KHYyrjyho/xV4/TekvnLUkUVbyKmmGrCeYjApEB2YC4XEJJMZuh/v/aJy0Cb
 Vlg/8qxBOIo/xL4Z/B7PU1MibpLR7DtMXsAtiLVOx4TEAuRA3YQAMjU2Ns/vI8/weKwMdr
 OR4SF/X23eBq5AhuxfLzodCAHHZ7ezsxAGvQ1gShglyrJj8uNkQHaIkCyoOxqw==
Received: from [127.0.0.1] (localhost [127.0.0.1]) by localhost (Mailerdaemon)
 with ESMTPSA id 8C9245C724B; Thu, 11 Jan 2024 16:55:57 +0100 (CET)
Message-ID: <b94f7220-4bd1-54e5-5c2e-76ac4f813fcf@HIDDEN>
Date: Thu, 11 Jan 2024 15:55:56 +0000
MIME-Version: 1.0
Subject: Re: bug#68243: alacritty segmentation fault
To: Efraim Flashner <efraim@HIDDEN>, 68243 <at> debbugs.gnu.org
References: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
 <ZZf7q0DvOinQmTOP@3900XT> <13ec7660-d10f-8864-f041-ad5a6398eb96@HIDDEN>
 <ZZppoD7tMsHxJa9Z@3900XT>
Content-Language: en-US
From: Steven Roose <steven@HIDDEN>
In-Reply-To: <ZZppoD7tMsHxJa9Z@3900XT>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 68243
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is what guix system describe shows:

 > commit: aabfddbe8bc16fa82067e88e7d79c8c1bc802414

So that should be the one that works, I guess. The newer one doesn't.

On 1/7/24 09:06, Efraim Flashner wrote:
> I meant more of what's the guix version from the generation which
> contains the non-working alacritty.
>
> On Fri, Jan 05, 2024 at 02:51:34PM +0000, steven@HIDDEN wrote:
>> How can I check generations for packages? `guix package -l` doesn't seem to show any useful information.
>>
>> I can't seem to find out what the syntax should be for the PATTERN arguments in guix package, like `guix package --list-generations=PATTERN`.
>>
>> I try `guix package -l alacritty`, `guix package --list-generations=alacritty` but always get `invalid syntax: alacritty`..
>>
>> On 1/5/24 12:52 PM, Efraim Flashner <efraim@HIDDEN> wrote:
>>> On Thu, Jan 04, 2024 at 03:32:55PM +0000, Steven Roose wrote:
>>>> I've been using alacritty as my default terminal for about a year without
>>>> much issues. I'm currently on v0.12.3 of alacritty and use it with i3 and
>>>> Xorg. A month or two ago I noticed that upgrading GuixSD broke alacritty.
>>>> Since it's my main terminal and I didn't have any other terminals installed,
>>>> I was forced to rollback my system through GRUB because I couldn't literally
>>>> not even open a terminal to investigate or roll-back by CLI. I was trying
>>>> another system upgrade now and noticed the issue is still not fixed. When
>>>> running alacritty from an already-open alacritty only shows me "segmentation
>>>> fault". The working and broken version is both 0.12.3, so I think it might
>>>> not be an alacritty issue but more a linking/build issue. I'm basically
>>>> stuck on a months-old Guix until this is fixed.
>>>>
>>>> If there is any way I can be of use by providing debug/log files of some
>>>> kind, please let me know.
>>> Looking at 'alacritty --help' it looks like you can try adding -v (up to
>>> 3) to get a more verbose output so hopefully we get more of an error
>>> message.
>>>
>>> Which generation are you on that is working for you? Which one do you
>>> know is segfaulting? I'd like to try to narrow it down.
>>>
>>>




Information forwarded to bug-guix@HIDDEN:
bug#68243; Package guix. Full text available.

Message received at 68243 <at> debbugs.gnu.org:


Received: (at 68243) by debbugs.gnu.org; 7 Jan 2024 17:46:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 07 12:46:16 2024
Received: from localhost ([127.0.0.1]:33753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rMXE0-0004DL-C4
	for submit <at> debbugs.gnu.org; Sun, 07 Jan 2024 12:46:16 -0500
Received: from mail-lj1-x230.google.com ([2a00:1450:4864:20::230]:61464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rMXDy-000451-Dr
 for 68243 <at> debbugs.gnu.org; Sun, 07 Jan 2024 12:46:14 -0500
Received: by mail-lj1-x230.google.com with SMTP id
 38308e7fff4ca-2cd56dac1adso796791fa.2
 for <68243 <at> debbugs.gnu.org>; Sun, 07 Jan 2024 09:46:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1704649563; x=1705254363; darn=debbugs.gnu.org;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=WaijBt46H4t35gwQJeBMbC9rCiPPOW0Zs47MKX6PI94=;
 b=XlH9sa+woHAiRxCgPZrsIqxdM73DJsdrZUz++d4r2ATQPhRMPuwOgd7ckYSPwKQvYa
 nYMPG7i10usGjzU8pMlYf/WK98GNWycwQ7yLLl3ranLviIuV5wx4eFsoDUtR+MegzFEM
 GmfiwCYfT1pdazD3D+NNPRc7PBeXUqwhVbFT4MBUwM7xmb24jv2gGc2JFRVvXWopUn8Y
 5tbIXtvKOQ2QZNJ7LnL90N03SL18bLeu7ybAAgRn/mOocSeqTN28SnnsPx4naz7hhBoX
 yEbRXNWFPJLBm9hbCd3GQEnjOHQVpejDuexFsfv9fhcdctsVtjXdvLhqZLbPhyTk0IWl
 7Mtg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1704649563; x=1705254363;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:to:from:subject:message-id:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=WaijBt46H4t35gwQJeBMbC9rCiPPOW0Zs47MKX6PI94=;
 b=lBEHtOpucu3w/QZ9oqTl9to/QxpTOfNT7aWafWg5eQ4BA9EzlPnttuOHw6QwZlqunE
 27q6gF0SLXzxG19fZJBe6pqV3FF+LPUkwhdAwztPfEDkYv8nOCPITmBpjgYITW25MlNB
 k6ejnKc/6x3lXyouZTkgoTUj1OogOXmBBVzwcxFOXgCHBvyCqya2BRDTjX269SusTNel
 F/FfnuX+lje/DLHb1yV/DodL6QRFRbagrAbziyTAULrb3jJKTeUoNUl+7WT6rygkW3ND
 8gVSkDJ5FyWPYtq3KatMDlHEVbaKiujq3hhgkY0+YH6VYXEH3TmKoxjGvST8btc9SBZA
 cciw==
X-Gm-Message-State: AOJu0YwPEJHkJ6IbOZRnq5OaHy0yBBD88AD2YagyA2UEUrRm8QOxfCVy
 thDX1otEr+qSlp+lnI5bcJP2YidohQ8=
X-Google-Smtp-Source: AGHT+IGLUmOkd3GSS111Sg03R/8uVYngt5gjM5OjV7HkJO5LF6UgcMrA9pcpicGlC7g4zyrMrwZwVw==
X-Received: by 2002:a2e:b554:0:b0:2cc:f5b6:91ed with SMTP id
 a20-20020a2eb554000000b002ccf5b691edmr993013ljn.23.1704649562565; 
 Sun, 07 Jan 2024 09:46:02 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 w3-20020aa7cb43000000b00556fff169bfsm3447074edt.55.2024.01.07.09.46.02
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 07 Jan 2024 09:46:02 -0800 (PST)
Message-ID: <601f2dfa2a36cec8198897b27e5877c1c6da43e9.camel@HIDDEN>
Subject: Re: alacritty segmentation fault
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Steven Roose <steven@HIDDEN>, 68243 <at> debbugs.gnu.org
Date: Sun, 07 Jan 2024 18:46:01 +0100
In-Reply-To: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
References: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.4 
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68243
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Donnerstag, dem 04.01.2024 um 15:32 +0000 schrieb Steven Roose:
> I've been using alacritty as my default terminal for about a year=20
> without much issues. I'm currently on v0.12.3 of alacritty and use it
> with i3 and Xorg. A month or two ago I noticed that upgrading GuixSD=20
> broke alacritty. Since it's my main terminal and I didn't have any
> other terminals installed, I was forced to rollback my system through
> GRUB because I couldn't literally not even open a terminal to
> investigate or roll-back by CLI. I was trying another system upgrade
> now and noticed the issue is still not fixed. When running alacritty
> from an already-open alacritty only shows me "segmentation fault".
> The working and broken version is both 0.12.3, so I think it might
> not be an alacritty issue but more a linking/build issue. I'm
> basically stuck on a months-old Guix until this is fixed.
>=20
> If there is any way I can be of use by providing debug/log files of
> some kind, please let me know.
I suppose this might be related to the mesa update we had some while
ago.  I myself noticed that GNOME 4 apps stopped working due to some
very, very weird behaviour of the driver that I still don't comprehend.
Anyway, switching to the cairo renderer per environment variable worked
for me.  Perhaps there's something similar you can do for alacritty (or
otherwise switch back to the older mesa with an inferior/use any other
VTE for the time being).

Cheers





Information forwarded to bug-guix@HIDDEN:
bug#68243; Package guix. Full text available.

Message received at 68243 <at> debbugs.gnu.org:


Received: (at 68243) by debbugs.gnu.org; 7 Jan 2024 09:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 07 04:06:56 2024
Received: from localhost ([127.0.0.1]:60608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rMP7Q-0000Dw-Dp
	for submit <at> debbugs.gnu.org; Sun, 07 Jan 2024 04:06:56 -0500
Received: from mail-wr1-x430.google.com ([2a00:1450:4864:20::430]:54518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim.flashner@HIDDEN>) id 1rMP7N-0000Df-TW
 for 68243 <at> debbugs.gnu.org; Sun, 07 Jan 2024 04:06:55 -0500
Received: by mail-wr1-x430.google.com with SMTP id
 ffacd0b85a97d-3368d1c7b23so925227f8f.0
 for <68243 <at> debbugs.gnu.org>; Sun, 07 Jan 2024 01:06:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1704618402; x=1705223202; darn=debbugs.gnu.org;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender:from:to
 :cc:subject:date:message-id:reply-to;
 bh=X5ogOGhzRQFmxKgBS6spVf74WUisdH0MPVP/pz9ctd4=;
 b=JpALz76wPgS4abcZiweruhXVQp8hrcEZpkt+Ma+/sdeTgvbcpvb3GfQAeavlGLfv0J
 20Yvx211YrmvJkOxbQlh3xvC2a91LfKZTUbcRf7Z7SbqNRqPbNW79b14LZP9XuZfV/or
 DKlfM9aPAgkGxZkuT8MvIxGskjQ1tQRfXPAkjA1EPdfgSksnMq2TyZPHPRb7TL/YRxm4
 PanlMXL2DQ0L0H2vFQi2il8+Rgwv1ZK3hE0crxqz+pmcRBPdhtB+zacHmqU6HzhJWYi1
 KpP0ZGuexUAZud4KWHILL5UcDKtVBR6Eh5+a0lQoU3IIr+/n6J0vSjXvh3GaetMkbHTt
 pMwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1704618402; x=1705223202;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=X5ogOGhzRQFmxKgBS6spVf74WUisdH0MPVP/pz9ctd4=;
 b=NKW7KRJVy5z5S26pCIZ1gEhLcsBPFqUJR2PxYkTX3kfIxLvjNcI7OxEFNXLc/R9YT/
 1C/WO/1HcVDBGUo+WIifL6DzxG0SkrHMuXF4sIUml46lBU8glL3wuSwZffbHlOnmeFBP
 aPC6xVldQADeNcHg9brlRQDSA5qyC+JkgxzzVtdDYiT65S59F2JPM3hIRQkG1wwYmz1L
 5qmnlbbMzuXT+yGXaa+iUGXJQypjtf27jnzHJc4h3HsGoFhL/XLvgHW9joDjDSXhtRFY
 H5aSdl1Hi5Z7TnxpUq4cJv951DwIdaCuhRneDmWXuMAn8zjBhiJd6f+p/KwA5EUhLCsI
 TdcQ==
X-Gm-Message-State: AOJu0YzRn1oyWhYziFMemKrji2wB8xseAwaZGZItmAmfbla6PvAoSkCI
 CogrT+5O0CZkIgOxOMMDeAk=
X-Google-Smtp-Source: AGHT+IFkUhv7Qeyrh8JCOQaOR6DTd8S3eFqIkhdHv6rEc7PvI/cQF5gBTRodAsOi8hrmC+nzAam3vw==
X-Received: by 2002:a05:600c:34cc:b0:40e:44fe:d29a with SMTP id
 d12-20020a05600c34cc00b0040e44fed29amr206674wmq.14.1704618402155; 
 Sun, 07 Jan 2024 01:06:42 -0800 (PST)
Received: from localhost ([141.226.15.142]) by smtp.gmail.com with ESMTPSA id
 g11-20020a05600c310b00b0040d94b65342sm7047411wmo.48.2024.01.07.01.06.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 07 Jan 2024 01:06:41 -0800 (PST)
Date: Sun, 7 Jan 2024 11:06:40 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: steven@HIDDEN
Subject: Re: bug#68243: alacritty segmentation fault
Message-ID: <ZZppoD7tMsHxJa9Z@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>, steven@HIDDEN,
 68243 <at> debbugs.gnu.org
References: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
 <ZZf7q0DvOinQmTOP@3900XT>
 <13ec7660-d10f-8864-f041-ad5a6398eb96@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="Esw63HECHNMlOnTo"
Content-Disposition: inline
In-Reply-To: <13ec7660-d10f-8864-f041-ad5a6398eb96@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 68243
Cc: 68243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--Esw63HECHNMlOnTo
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

I meant more of what's the guix version from the generation which
contains the non-working alacritty.

On Fri, Jan 05, 2024 at 02:51:34PM +0000, steven@HIDDEN wrote:
> How can I check generations for packages? `guix package -l` doesn't seem =
to show any useful information.
>=20
> I can't seem to find out what the syntax should be for the PATTERN argume=
nts in guix package, like `guix package --list-generations=3DPATTERN`.
>=20
> I try `guix package -l alacritty`, `guix package --list-generations=3Dala=
critty` but always get `invalid syntax: alacritty`..
>=20
> On 1/5/24 12:52 PM, Efraim Flashner <efraim@HIDDEN> wrote:
> > On Thu, Jan 04, 2024 at 03:32:55PM +0000, Steven Roose wrote:
> > > I've been using alacritty as my default terminal for about a year wit=
hout
> > > much issues. I'm currently on v0.12.3 of alacritty and use it with i3=
 and
> > > Xorg. A month or two ago I noticed that upgrading GuixSD broke alacri=
tty.
> > > Since it's my main terminal and I didn't have any other terminals ins=
talled,
> > > I was forced to rollback my system through GRUB because I couldn't li=
terally
> > > not even open a terminal to investigate or roll-back by CLI. I was tr=
ying
> > > another system upgrade now and noticed the issue is still not fixed. =
When
> > > running alacritty from an already-open alacritty only shows me "segme=
ntation
> > > fault". The working and broken version is both 0.12.3, so I think it =
might
> > > not be an alacritty issue but more a linking/build issue. I'm basical=
ly
> > > stuck on a months-old Guix until this is fixed.
> > >
> > > If there is any way I can be of use by providing debug/log files of s=
ome
> > > kind, please let me know.
> >=20
> > Looking at 'alacritty --help' it looks like you can try adding -v (up to
> > 3) to get a more verbose output so hopefully we get more of an error
> > message.
> >=20
> > Which generation are you on that is working for you? Which one do you
> > know is segfaulting? I'd like to try to narrow it down.
> >=20
> >=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--Esw63HECHNMlOnTo
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmWaaZ0ACgkQQarn3Mo9
g1G/kg/5Af1o/EtE5fxuD3qFlOYuMLQwSshdQrJCj5mvhTjA/Uno/NJ5uApiQqSX
Bu//4S749UqdE95GVZgUNhvX913yywHNOijHmnaJmMJ843opC3gSosRUexsxPvGG
zIxl1I0cXre6VodJsw4hnu4VBka+z5QQDrtCtZXYaKVCywGdoyQZz5DI/1nM2bve
lpR17m2KhzEfdltnXY680MnO3wWZIzTz9MVWbpqzE3KnDyoFZL4ONX/s7EWyMKGK
lelTdcIyyr/6TbmXjvlwUIHWiVxplewz8ERbp84kCmkPjB5FUlRXQuWybP9RL8Ow
V1sIdNi/KfiystzHnjUcKi+/P3DBsgSBF0NVP+WJqcv+QkLK29iAZqw+seFvl5b6
mbOhlChecKCGyljTi70yLnGiwrA3DHpTJjHZflyQzhjFhCORo/uO40gKYzHripEn
/UFvPqdy4U6ejJ4wZ2F0pqU5zn6Hx6GFa1L9vyWriWx+0qJp+7m2O8R1xcTxOb5z
lD+fttfukaOMCTDj7clDd9J/VVuh9MMQKyI4jyo/EHOxDSyKlXS/qoJYSDAEFL8o
brCkzRTB6dNZIY8M+KvNaITWsclrewDGg4c0AihEN7gkZGZ07/0xyLms7+4Bmv+O
u5vI0ERkuLCTeFPlW5FrsS/yupEAqDJnsdt8tivDvFYWFuQ5E4g=
=0sO6
-----END PGP SIGNATURE-----

--Esw63HECHNMlOnTo--




Information forwarded to bug-guix@HIDDEN:
bug#68243; Package guix. Full text available.

Message received at 68243 <at> debbugs.gnu.org:


Received: (at 68243) by debbugs.gnu.org; 5 Jan 2024 12:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 05 07:53:14 2024
Received: from localhost ([127.0.0.1]:56646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rLjhJ-0000tC-NS
	for submit <at> debbugs.gnu.org; Fri, 05 Jan 2024 07:53:14 -0500
Received: from mail-wr1-x435.google.com ([2a00:1450:4864:20::435]:44086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim.flashner@HIDDEN>) id 1rLjhH-0000t1-LT
 for 68243 <at> debbugs.gnu.org; Fri, 05 Jan 2024 07:53:12 -0500
Received: by mail-wr1-x435.google.com with SMTP id
 ffacd0b85a97d-33677fb38a3so1386810f8f.0
 for <68243 <at> debbugs.gnu.org>; Fri, 05 Jan 2024 04:53:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1704459181; x=1705063981; darn=debbugs.gnu.org;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender:from:to
 :cc:subject:date:message-id:reply-to;
 bh=7W4YvNEhQCAgYOrbbBVxamJZ4X2mNJ6lIgS81l6tbhM=;
 b=MIygd4Roonafwk/72R5vMzrvlGK3yIzpysx/O5u/st1BVIsl/kRtWrOzr9i02iBhmx
 vAOOb114mWdq07kwUHF3aNXBepOC5PYiXJPhyAEIFQw0nB1VMOD7W1dNYtv11Qzw2e6X
 kfYoS9PASho1d70ypFxuHf0e86V4Zazrh7qkcJk/6WZUHOyV5b073zQY/cEwCwRM5Njs
 A8ZG309HdPkIdnki8CQAXNwGMIovQxTBFoRHFWPdhy7wRvfiKIaQeevChq1xCDbzCy8d
 PYV/hkEVVa0TKf2LynTTCmSA1jxONDmkRW6Sv6nfvAMo1UoBhm3aaWY9WE/kaM4KNwlz
 7OLA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1704459181; x=1705063981;
 h=in-reply-to:content-disposition:mime-version:references
 :mail-followup-to:message-id:subject:cc:to:from:date:sender
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=7W4YvNEhQCAgYOrbbBVxamJZ4X2mNJ6lIgS81l6tbhM=;
 b=seGG42bGe6RPjxWVxkGg5vEu5B1IJQxqciKioAIR56RZySfkhh660dmanbgebfiiHc
 Vq+IZb82SE1OH1e7OmT4LDzZE7H8wSf31xHNLqbUUcuJ6gd4VUgvSx4oVlpSiK6nsSz+
 dxWJ/ntCBEtqq5BZ/9Qj1pW+GTDDCq1VVoRUA94i85EGTFAUoby3g2HdgJPtxA2ynli7
 hSQM2VXwmdhRXK4sswfmUMidlqJx//OK53h8rHzC0ELRT/S8/kIOsGbAd8ldF4zU/EV4
 fsY84Fr4iu0Zjy0cLHNodVoQORfiDJ6QKYnqqm+I/uWu/bmwB3Wx9aBgUE9626Bv9hK+
 UZGQ==
X-Gm-Message-State: AOJu0Yywei00kbLwPzsB0SVWocbfDNibJIBfTptt9wy6K9KyD7Id6FfS
 86YMstTPUhwTgXqvvqQwvSxTgao/eh4nVg==
X-Google-Smtp-Source: AGHT+IFAjIVROf13e3kgq+HPK3+0HPvlDTqw/F4u+KTNIVdIuZ8Rww8tP/73sJSbzWOXnxmtRRxmYA==
X-Received: by 2002:adf:fa82:0:b0:336:e369:cef with SMTP id
 h2-20020adffa82000000b00336e3690cefmr1049997wrr.130.1704459181193; 
 Fri, 05 Jan 2024 04:53:01 -0800 (PST)
Received: from localhost ([141.226.15.142]) by smtp.gmail.com with ESMTPSA id
 i11-20020a5d558b000000b003367bb8898dsm1336892wrv.66.2024.01.05.04.53.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Jan 2024 04:53:00 -0800 (PST)
Date: Fri, 5 Jan 2024 14:52:59 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Steven Roose <steven@HIDDEN>
Subject: Re: bug#68243: alacritty segmentation fault
Message-ID: <ZZf7q0DvOinQmTOP@3900XT>
Mail-Followup-To: Efraim Flashner <efraim@HIDDEN>,
 Steven Roose <steven@HIDDEN>, 68243 <at> debbugs.gnu.org
References: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="T7h4siIN8ffQfeHU"
Content-Disposition: inline
In-Reply-To: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 68243
Cc: 68243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--T7h4siIN8ffQfeHU
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jan 04, 2024 at 03:32:55PM +0000, Steven Roose wrote:
> I've been using alacritty as my default terminal for about a year without
> much issues. I'm currently on v0.12.3 of alacritty and use it with i3 and
> Xorg. A month or two ago I noticed that upgrading GuixSD broke alacritty.
> Since it's my main terminal and I didn't have any other terminals install=
ed,
> I was forced to rollback my system through GRUB because I couldn't litera=
lly
> not even open a terminal to investigate or roll-back by CLI. I was trying
> another system upgrade now and noticed the issue is still not fixed. When
> running alacritty from an already-open alacritty only shows me "segmentat=
ion
> fault". The working and broken version is both 0.12.3, so I think it might
> not be an alacritty issue but more a linking/build issue. I'm basically
> stuck on a months-old Guix until this is fixed.
>=20
> If there is any way I can be of use by providing debug/log files of some
> kind, please let me know.

Looking at 'alacritty --help' it looks like you can try adding -v (up to
3) to get a more verbose output so hopefully we get more of an error
message.

Which generation are you on that is working for you? Which one do you
know is segfaulting? I'd like to try to narrow it down.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=A8=D7=A0=D7=A9=D7=9C=D7=A4 =
=D7=9D=D7=99=D7=A8=D7=A4=D7=90
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--T7h4siIN8ffQfeHU
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmWX+6sACgkQQarn3Mo9
g1F7qQ/8CMLBlNPyO+cqefLIpDGHc4QH5wcHpv8yOO/02gkiCOllpjicRcLwjT19
Q6xTAgcicwgYUd6f+GtLB8Z8G8wUunnl1Xfr1QSM21e0fS+7BwMc2ryP9v59Ljgh
7OsuKS/tEMUDjfDSRytmby/DFEVcMBphbtQk9/uIMOUjbvlQ4CkafYSLclNfYSLj
9MaeheR1BVL+tP7Bg5MeKQ4vxKlqMhSDNQYNoI3qqLc3uQUvxtMexipKfLaKF+3q
7T7SJhCVS7ozNA0zfp6pnuN8hkd5jCfzQCM10iqc0Bjgz/9BmWAU/6xD+Od57Bup
56Eqr+lFeGMn0Su2xMCgYbeSu3O9/BcF+2myFQTerCrC8Cz7paHDit8eAfO1a/qp
c4MJmUXEpRbuwDUPjulk4/cbMoCQMyG8l2S8zl2bxAkHMNqitc9x9feAB4T3b6l1
84XpabN8HPmlJ1lADdQLw8m/glW5kAf+XSkJSqAif4wE+hCGckdJr+P9RoYy8Xbe
LKIeCyy5h3Wt9XyeLNHRFDAHH/ClRI3BC3FUUFtk/KEBZzVL8FCjDK9TX8Izpdvj
ePbHIJK0Zz1gxlbOqQ0gfQjdfwMKifk2IB8DETQWraIjC8eFmL1SwjsU524VTx2k
G6GMu4WejuiHzKUGVegYS+833Mnpjr9ef7haLrJUjCI/ZYxolMw=
=0Ot3
-----END PGP SIGNATURE-----

--T7h4siIN8ffQfeHU--




Information forwarded to bug-guix@HIDDEN:
bug#68243; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jan 2024 15:33:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 04 10:33:18 2024
Received: from localhost ([127.0.0.1]:55478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rLPig-00070g-D2
	for submit <at> debbugs.gnu.org; Thu, 04 Jan 2024 10:33:18 -0500
Received: from lists.gnu.org ([2001:470:142::17]:48050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <steven@HIDDEN>) id 1rLPib-00070P-FL
 for submit <at> debbugs.gnu.org; Thu, 04 Jan 2024 10:33:16 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <steven@HIDDEN>) id 1rLPiS-0006lg-97
 for bug-guix@HIDDEN; Thu, 04 Jan 2024 10:33:04 -0500
Received: from hosted.mailcow.de ([2a00:f820:417::202])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <steven@HIDDEN>) id 1rLPiQ-0006O7-CV
 for bug-guix@HIDDEN; Thu, 04 Jan 2024 10:33:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=roose.io; s=default;
 t=1704382376; h=from:subject:date:message-id:to:mime-version:content-type:
 content-transfer-encoding; bh=2EseOWh0WQ/nG7Eza8vdEATjgq1VddgHiHJoZP2KhwQ=;
 b=iuNoQcWxYNTkSQTxbYnvrEEa/GhZx+QnwOeicHpai5t2RLyxpuxm/aDaNHCP71mZH2xfSH
 pZQ0a34svsuuBALYt3duKcjg6LcHACw1ZwCp9XgFQrQ/EltMdAhtoUkahgSnbiZZ40IMil
 +CXD+vC3rAX0qmpI9wdkfTob0SclIghWtPhDPY5GE3DaJO8Tyr2heofI+udPCg94tZx203
 1ve3CoToWLsQ3odRwaW/GcyjAawUw+CbKJkFlZf0K+q9G0EY/LZ4GCf5khBXdcnVcaZxlq
 MW3GEbXJvFMG/V+zNrTariB4aBZ1hR9NKHlZPYGMUeDKHMbMrK0Oq0V//lSBuQ==
Received: from [127.0.0.1] (localhost [127.0.0.1]) by localhost (Mailerdaemon)
 with ESMTPSA id 7D1795C6F2F
 for <bug-guix@HIDDEN>; Thu,  4 Jan 2024 16:32:56 +0100 (CET)
Message-ID: <c22d0270-a178-a859-2acf-94006d19a068@HIDDEN>
Date: Thu, 4 Jan 2024 15:32:55 +0000
MIME-Version: 1.0
Content-Language: en-US
To: bug-guix@HIDDEN
From: Steven Roose <steven@HIDDEN>
Subject: alacritty segmentation fault
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=2a00:f820:417::202; envelope-from=steven@HIDDEN;
 helo=hosted.mailcow.de
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

I've been using alacritty as my default terminal for about a year 
without much issues. I'm currently on v0.12.3 of alacritty and use it 
with i3 and Xorg. A month or two ago I noticed that upgrading GuixSD 
broke alacritty. Since it's my main terminal and I didn't have any other 
terminals installed, I was forced to rollback my system through GRUB 
because I couldn't literally not even open a terminal to investigate or 
roll-back by CLI. I was trying another system upgrade now and noticed 
the issue is still not fixed. When running alacritty from an 
already-open alacritty only shows me "segmentation fault". The working 
and broken version is both 0.12.3, so I think it might not be an 
alacritty issue but more a linking/build issue. I'm basically stuck on a 
months-old Guix until this is fixed.

If there is any way I can be of use by providing debug/log files of some 
kind, please let me know.





Acknowledgement sent to Steven Roose <steven@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#68243; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 20 Jan 2024 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.